<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Comfortaa:wght@500;700&display=swap" rel="stylesheet">
    
    <link rel="stylesheet" href="create-form.css">
</head>
<body>
    <form action="#" method="get"></form>
    <div class="wrapper">
        <div class="content">
            <header class="header">
                <h1>Створіть акаунт</h1>
            </header>
            <div class="conteiner">
                <div class="name">
                    Імʼя*
                    <p><input class="namepadding" type="text" name="username" placeholder="Введіть ваше імʼя" required></p>
                </div>
                <div class="lastname">
                    Прізвище
                    <p><input class="lastpadding" type="text" name="lastname" placeholder="Введіть ваше прізвище"></p>
                </div>
                <div class="email">
                    Email*
                    <p><input class="imputwidth" type="text" name="email" placeholder="Введіть ваш е-мейл" required></p>
                </div>
                <div class="password">
                    Пароль*
                    <p><input class="passpading" type="password" name="userpass" placeholder="Введіть ваш пароль" required></p>
                </div>
                <div class="confirm-password">
                    Повторіть пароль*
                    <p><input  type="password" name="confirmpass" placeholder="Введіть ваш пароль ще раз" required></p>
                </div>
                <div class="gender">
                    Стать:
                    <div class="genderflex">
                        <p><input id="ol" type="radio" name="gender" value="man">Чоловік</p>
                        <p><input id="ol" type="radio" name="gender" value="woman">Жінка</p>
                    </div>
                </div>
                <div class="hobbies">
                    Хоббі
                    <div class="hobbiesflex">
                        <p><input id="ol" type="checkbox" name="music" value="yes">Музика</p>
                        <p><input id="ol" type="checkbox" name="sports" value="yes">Спорт</p>
                        <p><input id="ol" type="checkbox" name="travel" value="yes">Подорожі</p>
                        <p><input id="ol" type="checkbox" name="movies" value="yes">Фільми</p>
                    </div>
                </div>
                <div class="sourceofincome">
                    Джерело доходу
                    <p><select name="income">
                        <option value="employed">Найнятий працівник</option>
                        <option value="employer">Роботодавець</option>
                        <option value="unemployed">Безробітний</option>
                    </select></p>
                </div>
                <div class="income">
                    <div class="incomename">
                        Дохід грн.
                    </div>
                    <input class="incomewidth" id="ol" type="range" min="5" max="90">
                    <div class="valueK">
                        <span class="value"></span>
                        <span>K</span>
                    </div>
                </div>
                <div class="profilepicture">
                    Загрузіть фотографію
                    <p><input class="picture" type="file" name="foto"></p>
                </div>
                <div class="age">
                    Вік
                    <p><input  type="text" name="age"></p>
                </div>
                <div class="bio">
                    Біографія
                    <p><textarea class="biomargin" name="age" cols="30" rows="10"></textarea></p>
                </div>
            </div>
            <footer class="footer">
                <div class="create">
                    <p><button type="submit">Створити</button></p>
                </div>
            </footer>    
        </div>
    </div>
<script>
    const slider =document.querySelector(".incomewidth");
    const value = document.querySelector(".value");
    value.textContent = slider.value;
    slider.oninput = function(){
        value.textContent = this.value;
}
</script>
</body>
</html>